{

    inputs = {

        nixpkgs = {
            url = github:NixOS/nixpkgs/nixos-unstable;
        };
        
        home-manager = {
            url = github:nix-community/home-manager;
        };

    };

    outputs = args: with args.nixpkgs; {
        nixosConfigurations = {

			# Desktop
            "thor" = lib.nixosSystem {
                system = "x86_64-linux";
                modules = [
                    ./machines/thor/configuration.nix
                    ./common.nix
                ];
                specialArgs = args;
            };

            # Laptop
            "loki" = lib.nixosSystem {
                system = "x86_64-linux";
                modules = [
                    ./machines/loki/configuration.nix
                    ./common.nix
                ];
                specialArgs = args;
            };

            # TODO: Pinebook Pro
            # TODO: Raspberry Pi
            
        };
    };
    
}
